%global momorel 1

Summary:       An implementation of several specifications from freedesktop.org
Name:          efreet
Version:       0.5.0.043
Release:       %{momorel}m%{?dist}
License:       Modified BSD
Group:         System Environment/Libraries
Source0:       http://download.enlightenment.org/snapshots/2008-05-19/%{name}-%{version}.tar.bz2
NoSource:      0
URL:           http://enlightenment.org/p.php?p=about/libs/efreet
BuildRequires: ecore-devel >= 0.9.9.043-1m
BuildRequires: ecore-devel chrpath pkgconfig
Requires:      ecore >= 0.9.9.043-1m
PreReq:        openldap-devel
PreReq:        libssh2-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
An implementation of several specifications from freedesktop.org intended for
use in Enlightenment DR17 (e17) and other applications using the Enlightenment
Foundation Libraries (EFL). Currently, the following specifications are 
included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package devel
Summary:       Efreet header files
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
BuildRequires: ecore-devel >= 0.9.9
Requires:      ecore-devel pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package static
Summary:       Static Efreet library
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description static
Static Efreet library.

%prep
%setup -q

sed -i -e 's/-g -O0//' src/lib/Makefile.am

%build
%configure --disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib%{name}_*.so*
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove test suite
rm $RPM_BUILD_ROOT%{_bindir}/%{name}_*
rm -r $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(755,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(755,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0.043-1m)
- update to 0.5.0.043

* Mon Mar 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.3.042-2m)
- udpate BuildRequires: libtool >= 1.5.24 for /usr/share/aclocal/libtool.m4 serial check

* Mon Mar 10 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.3.042-1m)
- import from pld to Momonga for enlightenment
- update to 0.0.3.042
- use tmpdir instead of tmproot
- delete .la files
- do not use _pkgconfigdir
- add libfreet_mime* into files section
- change Requires ecore-file to ecore
- add PreReq: openldap-devel
- add PreReq: libssh2-devel

# Revision 1.1  2007/09/09 12:25:25  qboosh
# - new
